<?php
// $Id$

/**
 * @file
 * A skin plugin file for Skinr containing a port
 * of the fusions skins from Drupal 6 to Drupal 7
 */


/**
 *SEE THE BOTTOM OF THIS FILE FOR A LIST OF THE SKINS THAT NEED FIXING
 */

/**
 * Implements hook_skinr_skin_plugin_info()
 */

function fusion_core_skinr_skin_fusion_info() {
// Widths for 16 column, 960px/fluid grid
  $skins['grid16-width'] = array(
    'status' => array('fusion_core' => 1),
    'title' => t('Width (16 column grid)'),
    'description' => t("Change the width of this block. Fluid grid % widths are relative to the parent region's width. Default widths: sidebar blocks default to the sidebar width; in other regions width is divided equally among all blocks.'s width. Default widths: sidebar blocks default to the sidebar width; in other regions width is divided equally among all blocks."),
    'type' => 'select',
    'theme hooks' => array('block'),
    
    'options' => array(
      'grid16-width-1' => array(
        'class' => array('grid16-1'),
        'title' => t('1 unit wide (60px/6.25%)'),
        'attached' => array('css' => array('../../css/grid16-960.css')),
      ),
      'grid16-width-2' => array(
        'class' => array('grid16-2'),
        'title' => t('2 units wide (120px/12.5%)'),
        'attached' => array('css' => array('../../css/grid16-960.css')),
      ),
      'grid16-width-3' => array(
        'class' => array('grid16-3'),
        'title' => t('3 units wide (180px/18.75%)'),
        'attached' => array('css' => array('../../css/grid16-960.css')),
      ),
      'grid16-width-4' => array(
        'class' => array('grid16-4'),
        'title' => t('4 units wide (240px/25%)'),
        'attached' => array('css' => array('../../css/grid16-960.css')),
      ),
      'grid16-width-5' => array(
        'class' => array('grid16-5'),
        'title' => t('5 units wide (300px/31.25%)'),
        'attached' => array('css' => array('../../css/grid16-960.css')),
      ),
      'grid16-width-6' => array(
        'class' => array('grid16-6'),
        'title' => t('6 units wide (360px/37.5%)'),
        'attached' => array('css' => array('../../css/grid16-960.css')),
      ),
      'grid16-width-7' => array(
        'class' => array('grid16-7'),
        'title' => t('7 units wide (420px/43.75%)'),
        'attached' => array('css' => array('../../css/grid16-960.css')),
      ),
      'grid16-width-8' => array(
        'class' => array('grid16-8'),
        'title' => t('8 units wide (480px/50%)'),
        'attached' => array('css' => array('../../css/grid16-960.css')),
      ),
      'grid16-width-9' => array(
        'class' => array('grid16-9'),
        'title' => t('9 units wide (540px/56.25%)'),
        'attached' => array('css' => array('../../css/grid16-960.css')),
      ),
      'grid16-width-10' => array(
        'class' => array('grid16-10'),
        'title' => t('10 units wide (600px/62.5%)'),
        'attached' => array('css' => array('../../css/grid16-960.css')),
      ),
      'grid16-width-11' => array(
        'class' => array('grid16-11'),
        'title' => t('11 units wide (660px/68.75%)'),
        'attached' => array('css' => array('../../css/grid16-960.css')),
      ),
      'grid16-width-12' => array(
        'class' => array('grid16-12'),
        'title' => t('12 units wide (720px/75%)'),
        'attached' => array('css' => array('../../css/grid16-960.css')),
      ),
      'grid16-width-13' => array(
        'class' => array('grid16-13'),
        'title' => t('13 units wide (780px/81.25%)'),
        'attached' => array('css' => array('../../css/grid16-960.css')),
      ),
      'grid16-width-14' => array(
        'class' => array('grid16-14'),
        'title' => t('14 units wide (840px/87.5%)'),
        'attached' => array('css' => array('../../css/grid16-960.css')),
      ),
      'grid16-width-15' => array(
        'class' => array('grid16-15'),
        'title' => t('15 units wide (900px/93.75%)'),
        'attached' => array('css' => array('../../css/grid16-960.css')),
      ),
      'grid16-width-16' => array(
        'class' => array('grid16-16'),
        'title' => t('16 units wide (960px/100%)'),
        'attached' => array('css' => array('../../css/grid16-960.css')),
      ),
    ),
  );
  
// Widths for 12 column, 960px/fluid grid
  $skins['grid12-width'] = array(
    'status' => array('fusion_core' => 1),
    'title' => t('Width (12 column grid)'),
    'description' => t("Change the width of this block. Fluid grid % widths are relative to the parent region's width. Default widths: sidebar blocks default to the sidebar width; in other regions width is divided equally among all blocks.'s width. Default widths: sidebar blocks default to the sidebar width; in other regions width is divided equally among all blocks."),
    'type' => 'select',
    'theme hooks' => array('block'),

  'options' => array(
    'grid12-width-1' => array(
      'class' => array('grid12-1'),
      'title' => t('1 unit wide (80px/8.33%)'),
      'attached' => array('css' => array('../../css/grid12-960.css')),
    ),
    'grid12-width-2' => array(
      'class' => array('grid12-2'),
      'title' => t('2 units wide (160px/16.67%)'),
      'attached' => array('css' => array('../../css/grid12-960.css')),
    ),
    'grid12-width-3' => array(
      'class' => array('grid12-3'),
      'title' => t('3 units wide (240px/25%)'),
      'attached' => array('css' => array('../../css/grid12-960.css')),
    ),
    'grid12-width-4' => array(
      'class' => array('grid12-4'),
      'title' => t('4 units wide (320px/33.33%)'),
      'attached' => array('css' => array('../../css/grid12-960.css')),
    ),
    'grid12-width-5' => array(
      'class' => array('grid12-5'),
      'title' => t('5 units wide (400px/41.67%)'),
      'attached' => array('css' => array('../../css/grid12-960.css')),
    ),
    'grid12-width-6' => array(
      'class' => array('grid12-6'),
      'title' => t('6 units wide (480px/50%)'),
      'attached' => array('css' => array('../../css/grid12-960.css')),
    ),
    'grid12-width-7' => array(
      'class' => array('grid12-7'),
      'title' => t('7 units wide (560px/58.33%)'),
      'attached' => array('css' => array('../../css/grid12-960.css')),
    ),
    'grid12-width-8' => array(
      'class' => array('grid12-8'),
      'title' => t('8 units wide (640px/66.67%)'),
      'attached' => array('css' => array('../../css/grid12-960.css')),
    ),
    'grid12-width-9' => array(
      'class' => array('grid12-9'),
      'title' => t('9 units wide (720px/75%)'),
      'attached' => array('css' => array('../../css/grid12-960.css')),
    ),
    'grid12-width-10' => array(
      'class' => array('grid12-10'),
      'title' => t('10 units wide (800px/83.33%)'),
      'attached' => array('css' => array('../../css/grid12-960.css')),
    ),
    'grid12-width-11' => array(
      'class' => array('grid12-11'),
      'title' => t('11 units wide (880px/91.67%)'),
      'attached' => array('css' => array('../../css/grid12-960.css')),
    ),
    'grid12-width-12' => array(
      'class' => array('grid12-12'),
      'title' => t('12 units wide (960px/100%)'),
      'attached' => array('css' => array('../../css/grid12-960.css')),
      ), 
    ),
 );

// Block positioning
// **NEEDS TO BE FIXED**
  $skins['fusion-alignment'] = array(
    'status' => array('fusion_core' => 1),
    'title' => t('Block position'),
    'description' => t('Change the position of this block (default is to float to the left)'),
    'type' => 'select',
    'theme hooks' => array('block'),

  'options' => array(
    'fusion-alignment-1' => array(
      'class' => array('fusion-right'),
      'title' => t('Float block to the right'),
      'attached' => array('css' => array('../../css/style.css')),
    ),
    'fusion-alignment-2' => array(
      'class' => array('fusion-center'),
      'title' => t('Position block in the center'),
      'attached' => array('css' => array('../../css/style.css')),
    ),
    'fusion-alignment-3' => array(
      'class' => array('fusion-clear'),
      'title' => t('Clear floats (block drops to a new line)'),
      'attached' => array('css' => array('../../css/style.css')),
    ),
  ),
);

// Content alignment  
  $skins['fusion-content-alignment'] = array(
    'status' => array('fusion_core' => 1),
    'title' => t('Content alignment'),
    'description' => t('Default is left aligned content'),
    'type' => 'select',
    'theme hooks' => array('block'),

  'options' => array(
    'fusion-content-alignment-1' => array(
      'class' => array('fusion-center-content'),
      'title' => t('Center align content within its container'),
      'attached' => array('css' => array('../../css/style.css')),
    ),
    'fusion-content-alignment-2' => array(
      'class' => array('fusion-right-content'),
      'title' => t('Right align content within its container'),
      'attached' => array('css' => array('../../css/style.css')),
    ),
  ),
);
  
// General styles
  $skins['fusion-general-styles'] = array(
    'status' => array('fusion_core' => 1),
    'title' => t('General styles'),
    'description' => t('These are some generally useful options for blocks'),
    'type' => 'checkboxes',
    'theme hooks' => array('block', 'panels_display', 'panels_pane', 'panels_panel'),

  'options' => array(
    'fusion-general-styles-1' => array(
      'class' => array('fusion-callout'),
      'title' => t('<span class="preview-text">Text: large, bold callout style <span class="preview-icon" id="fusion-general-styles-fusion-callout"></span></span>'),
      'attached' => array('css' => array('../../css/style.css')),
    ),
    'fusion-general-styles-2' => array(
      'class' => array('fusion-bold-links'),
      'title' => t('<span class="preview-text">Links: bold all links <span class="preview-icon" id="fusion-general-styles-bold-links"></span></span>'),
      'attached' => array('css' => array('../../css/style.css')),
    ),
    'fusion-general-styles-3' => array(
      'class' => array('fusion-padding'),
      'title' => t('<span class="preview-text">Padding: add 30px extra padding inside block <span class="preview-icon" id="fusion-general-styles-fusion-padding"></span></span>'),
      'attached' => array('css' => array('../../css/style.css')),
    ),
    'fusion-general-styles-4' => array(
      'class' => array('fusion-border'),
      'title' => t('<span class="preview-text">Border: add 1px border and 10px padding <span class="preview-icon" id="fusion-general-styles-fusion-border"></span></span>'),
      'attached' => array('css' => array('../../css/style.css')),
    ),
  ),
);

// General style - Equal heights
// **NEEDS TO BE FIXED**
  $skins['fusion-equal-heights'] = array(
    'status' => array('fusion_core' => 1),
    'title' => t('Equal heights'),
    'description' => t('Make blocks in a region the same height'),
    'type' => 'checkboxes',
    'theme hooks' => array('block', 'panels_display', 'panels_pane', 'panels_panel'),

  'options' => array(
    'fusion-equal-heights' => array(
      'class' => array('equal-heights'),
      'title' => t('<span class="preview-text">Equal heights: equalize the heights of blocks with this style in the same region <span class="preview-icon" id="fusion-general-styles-equal-heights"></span></span>'),
      'attached' => array('js' => array('../../js/jquery.equalheights.js')),
    ),
  ),
);

// List styles
  $skins['fusion-multicol'] = array(
    'status' => array('fusion_core' => 1),
    'title' => t('List columns'),
    'description' => t('Put items in lists (menus, list views, etc.) in multiple columns'),
    'type' => 'select',
    'theme hooks' => array('block', 'panels_display', 'panels_pane', 'panels_panel', 'views_view'),

  'options' => array(
    'fusion-multicol-1' => array(
      'class' => array('fusion-2-col-list', 'clearfix'),
      'title' => t('2-column list/menu (50%/50%)'),
      'attached' => array('css' => array('../../css/style.css')),
    ),
    'fusion-multicol-2' => array(
      'class' => array('fusion-3-col-list', 'clearfix'),
      'title' => t('3-column list/menu (33%/33%/33%)'),
      'attached' => array('css' => array('../../css/style.css')),
    ),
  ),
);

// Additional menu styles
  $skins['fusion-menu'] = array(
    'status' => array('fusion_core' => 1),
    'title' => t('Menu layout'),
    'description' => t('Different layouts and alignment options for your menus'),
    'type' => 'radios',
    'theme hooks' => array('block', 'panels_display', 'panels_pane', 'panels_panel'),

  'options' => array(
    'fusion-menu-1' => array(
      'class' => array('fusion-inline-menu'),
      'title' => t('<span class="preview-text">Single line menu with separators <span class="preview-icon" id="fusion-menu-fusion-inline-menu"></span></span>'),
      'attached' => array('css' => array('../../css/style.css')),
    ),
    'fusion-menu-2' => array(
      'class' => array('fusion-multicol-menu', 'clearfix'),
      'title' => t('<span class="preview-text">Multi-column menu with bold headers (set menu items to Expanded) <span class="preview-icon" id="fusion-menu-fusion-multicol-menu"></span></span>'),
      'attached' => array('css' => array('../../css/style.css')),
    ),
  ),
);

// Stackable list/menu styles
  $skins['fusion-list-styles'] = array(
    'status' => array('fusion_core' => 1),
    'title' => t('List/menu styles'),
    'type' => 'checkboxes',
    'theme hooks' => array('block', 'panels_display', 'panels_pane', 'panels_panel', 'views_view'),

  'options' => array(
    'fusion-list-styles-1' => array(
      'class' => array('fusion-list-bottom-border'),
      'title' => t('<span class="preview-text">Bottom border (no bullets) <span class="preview-icon" id="list-styles-bottom-border"></span></span>'),
      'attached' => array('css' => array('../../css/style.css')),
    ),
    'fusion-list-styles-2' => array(
      'class' => array('fusion-list-vertical-spacing'),
      'title' => t('<span class="preview-text">Extra vertical spacing (no bullets) <span class="preview-icon" id="list-styles-extra-vertical-spacing"></span></span>'),
      'attached' => array('css' => array('../../css/style.css')),
    ),
  ),
);

// Superfish menu styles
// **NEEDS TO BE FIXED** The super fish menu styles need the appropriate preprocessor fuctions to be written in template.php.
  $skins['fusion-superfish'] = array(
    'status' => array('fusion_core' => 1),
    'title' => t('Superfish menu styles'),
    'description' => t('Superfish dropdown menus (must also set menu items to Expanded)'), 
    'type' => 'radios',
    'theme hooks' => array('block'),

  'options' => array(
    'fusion-superfish-1' => array(
      'class' => array('superfish', 'superfish-vertical'),
      'title' => t('<span class="preview-text">Vertical menu (for sidebar blocks) <span class="preview-icon" id="fusion-superfish-superfish-vertical"></span></span>'),
      'attached' => array(
        'js' => array('js/superfish.js', 'js/supersubs.js', 'js/supposition.js', 'js/hoverIntent.js', 'js/jquery.bgiframe.min.js', 'js/fusion-superfish.js'),
        'css' => array('../../css/style.css', 'css/superfish.css', 'css/superfish-navbar.css', 'css/superfish-vertical.css'),
      ),
    ),
  ),
);

// Image styles
// **NEEDS TO BE FIXED**
  $skins['fusion-float-imagefield'] = array(
    'status' => array('fusion_core' => 1),
    'title' => t('Image floating styles'),
    'description' => t('These options will float ImageField images in content to the left or right and add margins'),
    'type' => 'select',
    'theme hooks' => array('block', 'node', 'views_view'),

  'options' => array(
    'fusion-float-imagefield-1' => array(
      'class' => array('fusion-float-imagefield-left'),
      'title' => t('Float ImageField left'),
      'attached' => array('css' => array('../../css/style.css')),
    ),
    'fusion-float-imagefield-2' => array(
      'class' => array('fusion-float-imagefield-right'),
      'title' => t('Float ImageField right'),
      'attached' => array('css' => array('../../css/style.css')),
    ),
  ),
);

// User login block styles
// **NEEDS TO BE FIXED**
  $skins['fusion-login'] = array(
    'status' => array('fusion_core' => 1),
    'title' => t('User login block styles'),
    'description' => t('These options will float ImageField images in content to the left or right and add margins'),
    'type' => 'radios',
    'theme hooks' => array('block', 'panels_display', 'panels_pane', 'panels_panel'),

  'options' => array(
    'fusion-login-1' => array(
      'class' => array('fusion-horiz-login'),
      'title' => t('<span class="preview-text">Horizontal: puts user login block on a single line with label overlays (good for Header Top region) <span class="preview-icon" id="fusion-login-fusion-horiz-login"></span></span>'),
      'attached' => array(
        'js' => array('../../js/jquery.overlabel.js'),
        'css' => array('../../css/style.css'),
      ),
    ),
  ),
);

return $skins;
}

//The listed skins need to be fixed to work:

// Block positioning starting     Line: 176
// General style - Equal heights  Line: 259
// Superfish menu styles          Line: 341
// Image styles                   Line: 359
// User login block styles        Line: 382