<?php
// $Id$

/**
 * @file
 * A skin plugin file for Skinr to be used as a visual aid
 * when working with skins.
 */

/**
 * Implements hook_skinr_skin_plugin_info()
 */

function fusion_core_skinr_skin_wires_info() {
  $skins['wireframes'] = array(
    'status' => array('fusion_core' => 1),
    'title' => t('Wires'),
    'description' => t('Select the thickness of the wireframe.'),
    'type' => 'select',
    'theme hooks' => array('page', 'block', 'node'),
    'attached' => array('css' => array('wires.css')),
    
    'options' => array(
      'wire_1' => array(
        'class' => array('wire-1'),
        'title' => t('1px'),
      ),
      'wire_2' => array(
        'class' => array('wire-2'),
        'title' => t('2px'),
      ),
      'wire_3' => array(
        'class' => array('wire-3'),
        'title' => t('3px'),
      ),
    ),
  );
  return $skins;
}